/*
** GENERAL.H
**
**      This header file contains the public HTTP interfaces used by the
**		Sambar Server for interfacing with General Utilities.
**
**		Confidential Property of Tod Sambar
**		(c) Copyright Tod Sambar 1997
**		All rights reserved.
**
**
** History:
** Chg#	Date	Description												Resp
** ----	-------	-------------------------------------------------------	----
**		10JUN97	Created													sambar
*/

#if     !defined(__GENERAL_H__)
#define __GENERAL_H__

#include	<sambar.h>
#include	<io.h>
#include	<sys/stat.h>
#include	<sys/locking.h>
#include	<share.h>
#include	<fcntl.h>

/*
** General Defines
*/
#define INT_WIDTH		6		/* MAX is 8 */
#define COUNT_WIDTH 	8
#define COUNT_HEIGHT	16

static char           *bitmap[] = 
{
    "0xff", "0xff", "0xff", "0xc3", "0x99", "0x99", "0x99", "0x99",	/* rows 1-8  of 0 */
    "0x99", "0x99", "0x99", "0x99", "0xc3", "0xff", "0xff", "0xff",	/* rows 9-16 of 0 */
    "0xff", "0xff", "0xff", "0xcf", "0xc7", "0xcf", "0xcf", "0xcf",	/* rows 1-8  of 1 */
    "0xcf", "0xcf", "0xcf", "0xcf", "0xcf", "0xff", "0xff", "0xff",	/* rows 9-16 of 1 */
    "0xff", "0xff", "0xff", "0xc3", "0x99", "0x9f", "0x9f", "0xcf",	/* rows 1-8  of 2 */
    "0xe7", "0xf3", "0xf9", "0xf9", "0x81", "0xff", "0xff", "0xff",	/* rows 9-16 of 2 */
    "0xff", "0xff", "0xff", "0xc3", "0x99", "0x9f", "0x9f", "0xc7",	/* rows 1-8  of 3 */
    "0x9f", "0x9f", "0x9f", "0x99", "0xc3", "0xff", "0xff", "0xff",	/* rows 9-16 of 3 */
    "0xff", "0xff", "0xff", "0xcf", "0xcf", "0xc7", "0xc7", "0xcb",	/* rows 1-8  of 4 */
    "0xcb", "0xcd", "0x81", "0xcf", "0x87", "0xff", "0xff", "0xff",	/* rows 9-16 of 4 */
    "0xff", "0xff", "0xff", "0x81", "0xf9", "0xf9", "0xf9", "0xc1",	/* rows 1-8  of 5 */
    "0x9f", "0x9f", "0x9f", "0x99", "0xc3", "0xff", "0xff", "0xff",	/* rows 9-16 of 5 */
    "0xff", "0xff", "0xff", "0xc7", "0xf3", "0xf9", "0xf9", "0xc1",	/* rows 1-8  of 6 */
    "0x99", "0x99", "0x99", "0x99", "0xc3", "0xff", "0xff", "0xff",	/* rows 9-16 of 6 */
    "0xff", "0xff", "0xff", "0x81", "0x99", "0x9f", "0x9f", "0xcf",	/* rows 1-8  of 7 */
    "0xcf", "0xe7", "0xe7", "0xf3", "0xf3", "0xff", "0xff", "0xff",	/* rows 9-16 of 7 */
    "0xff", "0xff", "0xff", "0xc3", "0x99", "0x99", "0x99", "0xc3",	/* rows 1-8  of 8 */
    "0x99", "0x99", "0x99", "0x99", "0xc3", "0xff", "0xff", "0xff",	/* rows 9-16 of 8 */
    "0xff", "0xff", "0xff", "0xc3", "0x99", "0x99", "0x99", "0x99",	/* rows 1-8  of 9 */
    "0x83", "0x9f", "0x9f", "0xcf", "0xe3", "0xff", "0xff", "0xff"	/* rows 9-16 of 9 */
};


/*
** Sambar Server General Utility DLL Function Prototypes
*/
#if defined(__cplusplus)
extern "C" {
#endif /* defined(__cplusplus) */

extern SA_RETCODE SA_EXPORT		general_init(SA_CTX *sactx);

extern SA_RETCODE SA_PUBLIC		page_count(SA_CTX *sactx, SA_CONN *saconn,
									SA_PARAMS *saparams, SA_INT *infop);

#if defined(__cplusplus)
}
#endif /* defined(__cplusplus) */

#endif /* __GENERAL_H__ */
